import request from '@/utils/request'

// 查询物资盘点列表
export function listMaterialCheck(query) {
  return request({
    url: '/business/materialCheck/list',
    method: 'get',
    params: query
  })
}

// 查询物资盘点详细
export function getMaterialCheck(id) {
  return request({
    url: '/business/materialCheck/' + id,
    method: 'get'
  })
}

// 新增物资盘点
export function addMaterialCheck(data) {
  return request({
    url: '/business/materialCheck',
    method: 'post',
    data: data
  })
}

// 修改物资盘点
export function updateMaterialCheck(data) {
  return request({
    url: '/business/materialCheck',
    method: 'put',
    data: data
  })
}

// 删除物资盘点
export function delMaterialCheck(id) {
  return request({
    url: '/business/materialCheck/' + id,
    method: 'delete'
  })
}

// 物资盘点
export function materialCheck(data) {
  return request({
    url: '/business/materialCheck/check',
    method: 'put',
    data: data
  })
}
